/***************************************************************************
 *   Copyright (C) 2006 by Jens Koehler                                    *
 *   irimi_at_gmx_de                                                       *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef MENUAMAROKSETUP_H
#define MENUAMAROKSETUP_H


#include <vdr/plugin.h>

#define MY_MAX_CHAR_LEN 20


class AmarokConfig
{
public:

    const char *p_HostID;
    const char *p_PortID;
    const char *p_UserID;
    const char *p_PwID;

    const char *p_ConfigDir;


    int m_AmarokPort;

    char m_AmarokHost[MY_MAX_CHAR_LEN];
    char m_AmarokUser[MY_MAX_CHAR_LEN];
    char m_AmarokPw[MY_MAX_CHAR_LEN];


public:
    AmarokConfig();
    ~AmarokConfig();

    bool SetupParse( const char * Name, const char * Value );

};
extern AmarokConfig g_amarokConfig;

class cMenuAmarokSetup:public cMenuSetupPage
{

private:


    const char*p_allowedChar;


public:
    cMenuAmarokSetup();
    ~cMenuAmarokSetup();
protected:
    virtual void Store(void);

    //eOSState ProcessKey( eKeys Key );
};


#endif
