/***************************************************************************
 *   Copyright (C) 2006 by Jens Koehler                                    *
 *   irimi_at_gmx_de                                                       *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef AMAROK_COMMANDS_H_
#define AMAROK_COMMANDS_H_

#define VDRAMGW_PORT 8173
#define VDRAMGW_VERSION  "0.02"

enum AMAROK_CMD {
	 
	 
	 CMD_CHECK_VERSION=1,
	 CMD_REQUEST_LOGIN,
	 CMD_REQUEST_SET,
	 CMD_REQUEST_GET,
	 CMD_REQUEST_LIST,
	 CMD_REQUEST_PLAYLIST,
	 CMD_REQUEST_ARTISTLIST,
	 CMD_REQUEST_GENRELIST,
	 CMD_REQUEST_ALBUMLIST,
	 CMD_REQUEST_STATISTICS,
	 CMD_REQUEST_ADDALBUM,
	 CMD_REQUEST_ADDARTIST,
	 CMD_REQUEST_ADDGENRE,
	 CMD_REQUEST_ADDTITLE,
	 CMD_REQUEST_CLIENTDOWN,
	 CMD_REQUEST_SERVERDOWN,
	 CMD_ERROR
	 
	 };


#endif 


